# Dictate — From audio file

```
POST 
/dictate
```

Generate a dictation from an audio file. Only `audio/*` mime types are supported. The maximum duration is 10 minutes. If you have longer files, please use the [asynchronous equivalent](/core-api/reference/2025-02-25/server/dictate-async.md).

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Results of processing the audio file.

## Operation spec

```json
{
  "method": "post",
  "path": "/dictate",
  "operationId": "dictate",
  "requestBody": {
    "required": true,
    "content": {
      "multipart/form-data": {
        "schema": {
          "type": "object",
          "properties": {
            "request_parameters": {
              "type": "object",
              "description": "The object containing all the information needed along with the audio file for which you want dictation.",
              "properties": {
                "speech_locale": {
                  "type": "string",
                  "enum": [
                    "ENGLISH_US",
                    "ENGLISH_UK",
                    "SPANISH_ES",
                    "SPANISH_MX",
                    "FRENCH_FR",
                    "ARABIC_EG",
                    "ARABIC_LB",
                    "ARABIC_MA",
                    "ARABIC_SA",
                    "ARMENIAN_AM",
                    "BENGALI_IN",
                    "CANTONESE_CN",
                    "CROATIAN_HR",
                    "FILIPINO_PH",
                    "GERMAN_DE",
                    "GREEK_GR",
                    "GUJARATI_IN",
                    "HEBREW_IL",
                    "HINDI_IN",
                    "ITALIAN_IT",
                    "JAPANESE_JP",
                    "KHMER_KH",
                    "KOREAN_KR",
                    "MANDARIN_CN",
                    "PERSIAN_IR",
                    "POLISH_PL",
                    "PORTUGUESE_PT",
                    "PUNJABI_IN",
                    "RUSSIAN_RU",
                    "SERBIAN_RS",
                    "TAMIL_IN",
                    "TELUGU_IN",
                    "THAI_TH",
                    "URDU_IN",
                    "VIETNAMESE_VN",
                    "HAITIAN_HT"
                  ],
                  "example": "ENGLISH_US",
                  "title": "speech_locale"
                },
                "dictate_punctuation": {
                  "type": "boolean",
                  "description": "When enabled, the speaker dictating would explicitly dictate the punctuation. For instance, when the dictating provider says:\n\n_The patient inquired **quotation mark** is this an allergy **question mark** **close quotation mark** displaying significant distress_.\n\nthe transcription would output:\n\n`The patient inquired \"is this an allergy?\" displaying significant distress.`."
                }
              },
              "required": [
                "speech_locale",
                "dictate_punctuation"
              ],
              "title": "dictate_request"
            },
            "file": {
              "type": "string",
              "format": "binary"
            }
          },
          "required": [
            "request_parameters",
            "file"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Results of processing the audio file.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "dictation": {
                "type": "string"
              }
            },
            "required": [
              "dictation"
            ],
            "title": "dictate_response"
          }
        }
      }
    }
  }
}
```
